> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bins

> Get a list of bins



## OpenAPI

````yaml /openapi/openapi_inventory.json get /commerce/inventory/v1/bin
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/bin:
    get:
      tags:
        - InventoryBin
      summary: Get Bins
      description: Get a list of bins
      parameters:
        - description: Id of location
          in: query
          name: locationID
          required: true
          schema:
            format: int64
            type: integer
        - description: Term to match in bins
          in: query
          name: searchTerm
          required: false
          schema:
            format: int64
            type: integer
        - description: Results per page
          in: query
          name: perPage
          required: false
          schema:
            format: int64
            type: integer
        - description: Page to show
          in: query
          name: page
          required: false
          schema:
            format: int64
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BinResponseModel'
          description: Success
        '404':
          description: Bins Not Found
components:
  schemas:
    BinResponseModel:
      description: Bin Response Object
      properties:
        bins:
          $ref: '#/components/schemas/BinModel'
        resultCount:
          description: number of results
          type: integer
      title: BinResponseModel
      type: object
    BinModel:
      description: Bin Model
      properties:
        binID:
          description: Unique Bin Identifier assigned by the system
          type: integer
        binStatusID:
          description: New Bin's Status ID
          type: integer
        binTypeID:
          description: New Bin's Type ID
          type: integer
        locationID:
          description: Location Identifier of the owning location
          type: integer
        name:
          description: Client specified static bin name
          type: integer
      title: BinModel
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````